@import url('https://fonts.googleapis.com/css2family=Poppins:wght@100;200;300;400;500;600&display=swap');
* {
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
    text-decoration: none;
    border: none;
    outline: none;
    scroll-behavior: smooth;
    font-family: 'Poppins', sans-serif;
    caret-color: transparent; 
}


:root{
    --bg-color: #000000;
    --second-bg-color: #161616;
    --text-color: snow;
    --main-color:#01d2bc ;
    --second-main-color:#45A29E ;
    --color-bg1: #040838;
    --color-bg2: #081a92;
    --color1: 8, 53, 121;
    --color2: 9, 82, 87;
    --color3: 0, 79, 102;
    --color4: 21, 5, 142;
    --color5: 13, 115, 131;
    --color-interactive: 102, 49, 255;
    --circle-size: 80%;
    --blending: hard-light;
}
  
  @keyframes moveInCircle {
    0% {
      transform: rotate(0deg);
    }
    50% {
      transform: rotate(180deg);
    }
    100% {
      transform: rotate(360deg);
    }
  }
  
  @keyframes moveVertical {
    0% {
      transform: translateY(-50%);
    }
    50% {
      transform: translateY(50%);
    }
    100% {
      transform: translateY(-50%);
    }
  }
  
  @keyframes moveHorizontal {
    0% {
      transform: translateX(-50%) translateY(-10%);
    }
    50% {
      transform: translateX(50%) translateY(10%);
    }
    100% {
      transform: translateX(-50%) translateY(-10%);
    }
  }
  
  
  .gradient-bg {
    width: 100vw;
    height: 100vh;
    position: fixed;
    overflow: hidden;
    z-index: -1;
    background: linear-gradient(40deg, var(--color-bg1), var(--color-bg2));
    top: 0;
    left: 0;
  
    svg {
      display: none;
    }
  
  
    .gradients-container {
      filter: url(#goo) blur(40px) ;
      width: 100%;
      height: 100%;
    }
  
    .g1 {
      position: absolute;
      background: radial-gradient(circle at center, rgba(var(--color1), 0.8) 0, rgba(var(--color1), 0) 50%) no-repeat;
      mix-blend-mode: var(--blending);
  
      width: var(--circle-size);
      height: var(--circle-size);
      top: calc(50% - var(--circle-size) / 2);
      left: calc(50% - var(--circle-size) / 2);
  
      transform-origin: center center;
      animation: moveVertical 30s ease infinite;
  
      opacity: 1;
    }
  
    .g2 {
      position: absolute;
      background: radial-gradient(circle at center, rgba(var(--color2), 0.8) 0, rgba(var(--color2), 0) 50%) no-repeat;
      mix-blend-mode: var(--blending);
  
      width: var(--circle-size);
      height: var(--circle-size);
      top: calc(50% - var(--circle-size) / 2);
      left: calc(50% - var(--circle-size) / 2);
  
      transform-origin: calc(50% - 400px);
      animation: moveInCircle 20s reverse infinite;
  
      opacity: 1;
    }
  
    .g3 {
      position: absolute;
      background: radial-gradient(circle at center, rgba(var(--color3), 0.8) 0, rgba(var(--color3), 0) 50%) no-repeat;
      mix-blend-mode: var(--blending);
  
      width: var(--circle-size);
      height: var(--circle-size);
      top: calc(50% - var(--circle-size) / 2 + 200px);
      left: calc(50% - var(--circle-size) / 2 - 500px);
  
      transform-origin: calc(50% + 400px);
      animation: moveInCircle 40s linear infinite;
  
      opacity: 1;
    }
  
    .g4 {
      position: absolute;
      background: radial-gradient(circle at center, rgba(var(--color4), 0.8) 0, rgba(var(--color4), 0) 50%) no-repeat;
      mix-blend-mode: var(--blending);
  
      width: var(--circle-size);
      height: var(--circle-size);
      top: calc(50% - var(--circle-size) / 2);
      left: calc(50% - var(--circle-size) / 2);
  
      transform-origin: calc(50% - 200px);
      animation: moveHorizontal 40s ease infinite;
  
      opacity: 0.7;
    }
  
    .g5 {
      position: absolute;
      background: radial-gradient(circle at center, rgba(var(--color5), 0.8) 0, rgba(var(--color5), 0) 50%) no-repeat;
      mix-blend-mode: var(--blending);
  
      width: calc(var(--circle-size) * 2);
      height: calc(var(--circle-size) * 2);
      top: calc(50% - var(--circle-size));
      left: calc(50% - var(--circle-size));
  
      transform-origin: calc(50% - 800px) calc(50% + 200px);
      animation: moveInCircle 20s ease infinite;
  
      opacity: 1;
    }
  
    .interactive {
      position: absolute;
      background: radial-gradient(circle at center, rgba(var(--color-interactive), 0.8) 0, rgba(var(--color-interactive), 0) 50%) no-repeat;
      mix-blend-mode: var(--blending);
  
      width: 200px;
      height: 200px;
      top: 0;
      left: 0;

      transform-origin: center center;
      opacity: 0.7;
    }
  }

html {
    font-size: 62.5%;
    margin: 0;
    padding: 0;
    overflow-x: hidden;
}

body {
    font-family: "Poppins", sans-serif;
    color: var(--text-color);
    overflow-x: hidden;
}

@keyframes gradient {
	0% {
		background-position: 0% 50%;
	}
	50% {
		background-position: 100% 50%;
	}
	100% {
		background-position: 0% 50%;
	}
}

html::-webkit-scrollbar {
    width: 0.8rem;
}

html::-webkit-scrollbar-track {
    background: var(--color-bg2);
}

html::-webkit-scrollbar-thumb {
   background: var(--main-color);
}

header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding: 3rem 9%;
    background: rgba(6, 18, 90, 0.7);
    filter: drop-shadow(10px);
    display:flex;
    justify-content: space-between;
    align-items: center;
    z-index: 1000;
}

.navbar-container {
    position: relative;
    max-width: 1440px;
    margin: 0 auto;
    width: 100%;
    padding: 0 1rem;
}

.navbar-btn {
    font-size: 1.3rem;
    display: none;
    cursor: pointer;
    color: var(--main-color);
    transition: 0.5s ease;
}

.navbar-btn:hover {
    color:#161616;
}

nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.navbar-logo {
    display: flex;
    align-items: center;
}

.logo {
    font-size: 3rem;
    color: var(--main-color);
    font-weight: 800;
    cursor: pointer;
    transition: 0.5s ease;
}

.logo:hover {
    transform: scale(1.1);
}

nav ul {
    display: flex;
    list-style: none;
}

ul li {
    margin: 0 1rem;
}

ul li a {
    font-size: 1.4rem;
    color: white;
    margin-left: 2rem;
    font-weight: 500;
    display: inline-block;
    position: relative;
    text-decoration: none;
    padding-bottom: 2px;
}

ul li a:after {
    content: '';
    position: absolute;
    color:#01d2bc;
    width: 100%;
    transform: scaleX(0);
    border-radius: 5px;
    height: 0.1em;
    bottom: 0;
    left: 0;
    background: currentcolor;
    transform-origin: bottom right;
    transition: transform 0.25s ease-out;
}

ul li a:hover::after {
    transform: scaleX(1);
    transform-origin: bottom left;
    color:#01d2bc;
}

#menu-icon {
    font-size: 3.6rem;
    color: var(--main-color);
    display: none;
}

@media (max-width:1435px){
    ul li a{
        font-size: 1.2rem;
    }
}

@media (max-width:1336px){
    ul li a{
        font-size: 1.1rem;
        margin-left: 1.2rem;
    }
}


@media (max-width:995px){
    #menu-icon{
        display: block;
    }
    .navbar{
        position: absolute;
        top: 100%;
        right: 0;
        width: 40%;
        border-left: 3px solid var(--main-color);
        border-bottom: 3px solid var(--main-color);
        border-bottom-left-radius: 2rem;
        padding: 1rem 3%;
        /* background-color: var(--second-bg-color); */
        border-top: 0.1rem solid rgba(0,0,0,0.4);
        display: none;
    }

    .navbar.active{
        display: block;
    }
    
    .navbar a{
        display: block;
        font-size: 2rem;
        margin: 3rem 0;
    }

    .navbar a:hover,
    .navbar a.active{
        padding: 1rem;
        border-radius: 0.5rem;
        border-bottom: 0.5rem solid var(--main-color);
    }
}

section{
    min-height: 60vh;
    padding: 5rem 9% 5rem;
}

.home{
    margin-left:50px;
    margin-right: 50px;
    padding-top: 250px;
    padding-bottom: 250px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 8rem;
    /* background: #000000; */
    z-index: 500;
}

.home .home-content h1{
    font-size: 6rem;
    font-weight: 700;
    line-height: 1.3;
}

span {
    color: var(--main-color);
}

.home-content h3{
    font-size: 4rem;
    margin-bottom: 1rem;
    font-weight: 700;
}

.home-img{
    border-radius: 50%; 
}

.home-img img{
    position: relative;
    width: 25vw;
    border-radius: 50%;
    box-shadow: 0 0 25px var(--main-color);
    cursor: pointer;
    z-index: 100;
}

.home-img img:hover{
    transform: scale(1.01);
    filter: drop-shadow(0 0 25px var(--main-color));
}

.home-content p{
    padding-top: 1.5rem;
    font-size:1.8rem;
    font-weight: 500;
}

.social-icon a{
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 4rem;
    height: 4rem;
    background: transparent;
    border: 0.2rem solid var(--main-color);
    font-size: 2rem;
    border-radius: 50%;
    color: var(--main-color);
    margin: 3rem 1.5rem 3rem 0;
    transition: 0.3s ease;
}

.social-icon a:hover{
    color: black;
    transform: scale(1.3)translateY(-5px);
    background: var(--main-color);
    box-shadow: 0 0 25px var(--main-color);
}

.button{
    display: inline-block;
    padding: 1rem 2.8rem;
    background: transparent; 
    border-radius: 4rem;
    font-size: 1.6rem;
    color: var(--main-color);
    border: 2px solid var(--main-color);
    letter-spacing: 0.1rem;
    font-weight: 600;
    transition: 0.3s ease;
    cursor: pointer;
}

.button:hover{
    transform: scale(1.03);
    background-color: var(--main-color);
    color: black;
    box-shadow: 0 0 25px var(--main-color);
}

.text-slide {
    text-align: left;
}

.text-slide>div {
    display: inline-block;
    text-align: left;
    height: 40px;
    line-height: 40px;
    overflow: hidden;
    font-size: 30px;
}

.text span {
    display: block;
    padding-left:5px;
    padding-right:5px;
}

.text {
    position: relative;
    animation: text-animation ease 8s infinite;
}

@keyframes text-animation {
    0% {
        top: 0;
    }
    10% {
        top: 0;
    }
    20% {
        top: -40px;
    }
    30% {
        top: -40px;
    }
    40% {
        top: -80px;
    }
    50% {
        top: -80px;
    }
    60% {
        top: -120px;
    }
    70% {
        top: -120px;
    }
    80% {
        top: -160px;
    }
    90% {
        top: -160px;
    }
    100% {
        top: 0px;
    }
}

.text span:nth-child(1) {
    color:#000c57;
    background: rgba(0, 255, 247, 0.3);
    border-top-left-radius: 6px;
    border-top-right-radius: 6px;
}

.text span:nth-child(2) {
    color:#000c57;
    background: rgba(74, 253, 247, 0.3);
}

.text span:nth-child(3) {
    color:#000c57;
    background: rgba(148, 254, 250, 0.3);
}

.text span:nth-child(4) {
    color:#000c57;
    background: rgba(147, 240, 237, 0.3);
    border-bottom-left-radius: 6px;
    border-bottom-right-radius: 6px;
}

/* .typing-text{
   font-size: 34px;
   font-weight: 600;
   min-width: 280px;
}

.typing-text span{
    position: relative;
}

.typing-text span::before {
    content: 'Programista SQL';
    color: var(--main-color);
    animation: words 20s infinite;
}

.typing-text span::after {
    content: '';
    background: #01d2bc; 
    position: absolute;
    width: calc(100% + 8px);
    height: 100%;
    border-left: 3px solid var(--bg-color);
    right: -8px;
    animation: cursor 0.6s infinite, typing 20s steps(14) infinite;
}

@keyframes cursor {
    to {
        border-left: 3px solid var(--main-color);
    }
}
@keyframes words {
    0%, 25% {
        content: 'Junior .NET Developer';
    }
    26%, 50% {
        content: 'Programistą SQL';
    }
    51%, 75% {
        content: 'Web Designer';
    }
    76%, 100% {
        content: 'Otwary na nowe wyzwania';
    }
}
@keyframes typing {
    10%, 15%,
    30%, 35%,
    50%, 55%,
    70%, 75%,
    90%, 95% {
        width: 0;
    }
    5%, 20%,
    25%, 40%,
    45%, 60%,
    65%, 80%, 85% {
        width: calc(100% + 8px);
    }
} */

@media (max-width:1000px){
    .home{
        gap: 4rem;
    }
}
@media (max-width:995px){
    .home{
        flex-direction: column;
        margin: 5rem 4rem;
    }
    .home .home-content h3{
        font-size: 2.5rem;
    }
    .home-content h1{
        font-size: 5rem;
    }
    .home-img img{
        width: 40vw;
        height: 40vw; 
        margin-top:3rem;
    }
}

.services{
    /* background: var(--bg-color); */
}

.heading {
    padding-bottom: 2rem;
    text-align: center;
    font-size: 7rem;
}

.services-container{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
    gap: 2.5rem;
}

.service-box{
    height: 300px;
    border-radius: 3rem;
    cursor: pointer;
    border: 2px solid var(--main-color);
    transition: 0.5s ease;
}

.service-box:hover{
    background-color: rgba(69, 162, 158, 0.6);
    color: rgb(234, 234, 234);
    transform:scale(1.03);
    border: 2px solid var(--main-color);
}

.service-box .service-info{
    display: flex;
    flex-direction: column;
    text-align: left;
    max-height: 200px;
    justify-content: center;
    align-items: baseline;
    padding: 5em;
}

.service-info h4{
    font-size: 2.5rem;
    font-weight: 500;
    margin-bottom: 1rem;
}

.service-info p{
    font-size: 1.6rem;
    font-weight: 400;
    max-height: 100px;
    margin: auto;
}

@media (max-width:991px){
    .section{
        padding: 10rem 3% 2rem;
    }
    .services{
        padding-bottom: 7rem;
    }
}

@media (max-width:895px){
    .services h2{
        margin-bottom: 3rem;
    }
    .services-container{
        grid-template-columns: repeat(1,1fr);
    }
}

.skills {
    /* background: var(--second-bg-color); */
}

.info-popup {
    display: none; 
    background: rgba(70, 173, 213, 0.7);
    padding: 10px;
    padding-top: 25px;
    margin-top: 20px;
    border-radius: 5px;
    box-shadow: 0px 2px 8px rgba(0, 0, 0, 0.1);
    position: absolute; 
    width: 100%;
    left: 0;
    bottom: -90px;
    z-index: 10;
}

.row {
    position: relative; 
}

.bar.active + .info-popup {
    display: block; 
}

.progress-bar {
    background: #45A29E;
    width:100%;
    height: 10px;
    border-radius: 5px;
}

.progress-bar div {
    height: 10px;
    border-radius: 5px;
    width: 0%;
    background: #43f1e8;;
}

.progress-bar div span{
    height: 40px;
    border-radius: 50%;
    width: 40px;
    background: rgb(7, 42, 55);
    float: right;
    margin-top: -15px;
    margin-right: -20px;
    color: white;
    display:flex;
    align-items: center;
    justify-content: center;
}

.progress-bar-text{
    padding-top:20px;
    font-size:12px;
    font-weight: 500;
    color:rgb(7, 42, 55);
}

.ccc {
    background: #45A29E;
    animation: ccc 3s linear forwards;
}

.autocad {
    background: #45A29E;
    animation: autocad 3s linear forwards;
}

.css {
    background: #45A29E;
    animation: css 3s linear forwards;
}

.html5 {
    background: #45A29E;
    animation: html5 3s linear forwards;
}

.javascript {
    background: #45A29E;
    animation: javascript 3s linear forwards;
}

.photoshop {
    background: #45A29E;
    animation: photoshop 3s linear forwards;
}

.excel {
    background: #45A29E;
    animation: excel 3s linear forwards;
}

.python {
    background: #45A29E;
    animation: python 3s linear forwards;
}

.sql {
    background: #45A29E;
    animation: sql 3s linear forwards;
}

.aspnet {
    background: #45A29E;
    animation: aspnet 3s linear forwards;
}


.ccc span {
    border: 3px solid #2adfd6;
}

.autocad span {
    border: 3px solid #2adfd6;
}

.css span {
    border: 3px solid #2adfd6;
}

.html5 span {
    border: 3px solid #2adfd6;
}

.javascript span {
    border: 3px solid #2adfd6;
}

.photoshop span {
    border: 3px solid #2adfd6;
}

.excel span {
    border: 3px solid #2adfd6;
}

.python span {
    border: 3px solid #2adfd6;
}

.sql span {
    border: 3px solid #2adfd6;
}

.aspnet span {
    border: 3px solid #2adfd6;
}


@keyframes ccc {
    100%{
        width: 86%;
    }
}

@keyframes autocad {
    100%{
        width: 30%;
    }
}

@keyframes css {
    100%{
        width: 90%;
    }
}

@keyframes html5 {
    100%{
        width: 95%;
    }
}

@keyframes javascript {
    100%{
        width: 56%;
    }
}

@keyframes photoshop {
    100%{
        width: 24%;
    }
}

@keyframes excel {
    100%{
        width: 72%;
    }
}

@keyframes python {
    100%{
        width: 22%;
    }
}

@keyframes sql {
    100%{
        width: 90%;
    }
}

@keyframes aspnet {
    100%{
        width: 82%;
    }
}

.skills .container {
    background: rgba(18, 78, 102, 0.7);
    color:white;
    border-radius: 1rem;
    padding: 2rem;
    padding-bottom: 13rem;
    width: 70%;
    margin: auto;
    margin-top: 2rem;
}

.skills .container .row{
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    flex-wrap: wrap;
    gap: 1.8rem;
}

.skills .container .bar{
    margin-bottom: 15px;
    padding: 10px;
    border-radius:  1rem;
    background: rgba(7, 42, 55, 0.7);
    transition: 0.3s ease;
    cursor: pointer;
}

.skills .container .bar:hover {
    box-shadow: 0 4px 10px var(--main-color);
    transform: scale(1.03);
}

.skills .container .bar .info{
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
    margin-top: 1rem;
}

.skills .container .bar .info span{
    font-size: 2rem;
    font-weight: 500;
    margin-left: 0.5rem;

}

@media screen and (max-width:800px){
    .skills .container{
        margin: 0;
        padding: 0;
        padding-bottom:11rem;
    }
    .skills .container .row{
        grid-template-columns: repeat(2, 1fr);
        margin: 1rem;
        padding: 2rem 0.2rem 2rem 0.2rem;
        gap: 1rem;
    }
    .skills .container{
        margin-top: 5px;
        width: 100%;
    }
}


@media screen and (max-width:480px){
    .skills .container{
        margin: 0;
        padding: 0;
        padding-bottom:13rem;
    }
}

@media screen and (max-width:480px){
    .info-popup{
        bottom: -100px;
    }
}

.education {
    /* background-color: var(--second-bg-color); */
}

.education .timeline {
    position: relative;
    max-width: 1200px;
    margin: 0 auto;
}

.education .timeline::after {
    content: '';
    position: absolute;
    width: 6px;
    background: rgba(32, 110, 156);
    top: 0;
    bottom: 0;
    left: 50%;
    margin-left: -3px;
}

.education .container {
    padding: 10px 40px;
    position: relative;
    background-color: inherit;
    width: 50%;
}

.education .container::after{
    position: absolute;
    width: 27px;
    height: 27px;
    line-height: 26px;
    right: -17px;
    background-color: rgb(252,252,252);
    border: 4px solid var(--main-color);
    top: 15px;
    border-radius: 50%;
    z-index: 100;
    font-size: 1.89rem;
    text-align:center;
    font-weight:600;
    font-family: "Font Awesome\ 5 Free";
    color: rgb(90,64,64);
}

.education .container::after{
    content: '\f19d';
}

.education .containerSecond::after{
    content: '\f0b1' !important;
}

.education .containerThird::after{
    content: '\f303' !important;
}


.education .left{
    left: 0;
}

.education .right{
    left: 50%;
}

.education .left::before{
    content: '';
    height: 0;
    position: absolute;
    top: 22px;
    width: 0;
    z-index: 1;
    right: 31px;
    border: medium solid var(--second-main-color);
    border-width: 10px 0 10px 10px;
    border-color: transparent transparent transparent var(--second-main-color);
}

.education .right::before{
    content: '';
    height: 0;
    position: absolute;
    top: 22px;
    width: 0;
    z-index: 1;
    left: 31px;
    border: medium solid var(--second-main-color);
    border-width: 10px 10px 10px 0;
    border-color: transparent var(--second-main-color) transparent transparent ;
}

.education .right::after{
    left: -16px;
}

.education .content{
    background-color: rgba(69, 162, 158, 0.6);
    position: relative;
    border-radius:6px;
}

.education .content .tag{
    font-size: 1.5rem;
    padding-top: 1.5rem;
    padding-left: 1.5rem;
}

.education .content .decs{
    margin-left: 1.5rem;
    padding-bottom: 1rem;
}

.education .content .tag h2{
    font-size: 2rem;
    font-weight: 600;
}

.education .content .tag h3{
    font-size: 1.7rem;
    font-weight: 400;
    padding-top: 0.4rem;
}

.education .content .decs p{
    font-size: 1.3rem;
    font-weight: bold;
    padding-top: 0.5rem;
    color:black;
}

.education .content .decs .date{
    font-size: 1.3rem;
    font-weight: 500;
    padding-top: 0.5rem;
    color:black;
}

@media screen and (max-width:600px) {
    .education .timelime {
        margin-top: 2rem;
    }
    .education .timeline::after{
        left: 31px;
    }
    .education .container{
        width: 100%;
        padding-left: 8rem;
        padding-right: 2rem;
    }
    .education .container::before{
        left: 61px;
        border: medium solid var(--main-color);
        border-width: 10px 10px 10px 0;
        border-color: transparent var(--main-color) transparent transparent;
    }
    .education .left::after{
        left: 15px;
    }
    .education .right::after{
        left: 15px;
    }
    .education .right {
        left: 0%;
    }
}


.projects-box{
    min-height: 400px;
    border-radius: 3rem;
    border: 2px solid var(--main-color);
    transition: 0.5s ease;
    overflow: auto;
}

.projects-box .projects-info{
    
    flex-direction: column;
    text-align: left;
    max-height: 200px;
    justify-content: center;
    align-items: baseline;
    padding: 3em; 
    position: relative;
    padding-bottom: 40px; 
}

.projects-info h4{
    font-size: 2.5rem;
    font-weight: 500;
    margin-bottom: 1rem;
}

.projects-info p{
    font-size: 1.6rem;
    font-weight: 400;
    max-height: 100px;
    margin: auto;
}

.projects-container {
    margin-top: 25px;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
    gap: 2.5rem;
}

.forward {
    padding-right:20px;
    position: absolute;
    right: 10px; 
    bottom: -160px;
}

.forward .logo-projects i {
    font-size: 24px; 
    color: #01d2bc; 
}

.forward a i{
    transition: 0.3s ease;
}

.forward a i:hover {
    transform: scale(1.1);
}

@media (max-width: 1670px) {
    .projects-info p {
        font-size: 1.5rem;
    }
}

@media (max-width: 1510px) {
    .projects-info p {
        font-size: 1.4rem;
    }
}

@media (max-width: 1392px) {
    .projects-info p {
        font-size: 1.25rem;
    }
}

@media (max-width: 1200px) {
    .projects-info p {
        font-size: 1.6rem;
    }
}

@media (max-width: 700px) {
    .projects-info p {
        font-size: 1.4rem;
    }
}


@media (max-width: 1200px) {
    .projects-container {
        padding-bottom: 7rem;
        grid-template-columns: repeat(1, 1fr);
        margin: 0 5rem;
    }
}

.contact h2 {
    margin-bottom: 3rem;
    color: white;
}

.contact form {
    max-width: 70rem;
    margin: 1rem auto;
    margin-bottom: 3rem;
    text-align: center;
}

input::placeholder {
    color: #000c57; 
}

textarea::placeholder {
    color:#000c57;
}

.contact form .input-box {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}

.contact form .input-box input,
.contact form textarea {
    width: 100%;
    padding: 1.5rem;
    font-size: 1.6rem;
    color: #000c57;
    background: rgba(69, 162, 158, 0.6);;
    border-radius: 0.8rem;
    border: 2px solid var(--main-color);
    margin: 1rem 0;
    resize: none;
}

.contact form .button {
    margin-top: 2rem;
}

.footer {
    position: relative;
    bottom: 0;
    width: 100%;
    padding: 40px 0;
    background-color: rgb(69, 162, 158, 0.6);
}

.footer .social {
    text-align: center;
    padding-bottom: 25px;
    color: black;   
}

.footer .social a {
    font-size: 25px;
    color: black;
    justify-content: center;
    align-items: center;
    border: 2px solid black;
    width: 42px;
    height: 42px;
    display: inline-flex;
    border-radius: 50%;
    margin: 0 10px;
    transition: 0.3s ease;
}

.footer .social a:hover {
    transform: scale(1.2)translateY(-5px);
    background: black;
    color: rgb(69, 162, 158);
}

.footer ul {
    margin-top: 0px;
    padding: 0;
    font-size: 18px;
    line-height: 1.8;
    margin-bottom: 0;
    text-align: center;
}

.footer ul li a{
    color: black;
    position: relative;
}

.footer ul li a:after {
    content: "";
    position: absolute;
    width: 0;
    height: 2px;
    bottom: 0;
    left: 0;
    background-color: black;
    visibility: hidden;
    transition: all 0.3s ease-in-out;
}

.footer ul li a:hover:after {
    visibility: visible;
    height: 2px;
    width: 100%;
  }

.footer ul li {
    display: inline-block;
    padding: 0 15px;
}

footer .copyright {
    margin-top: 50px;
    text-align: center;
    font-size: 16px;
    color: black;
}

.img-gallery {
    width: 80%;
    margin: 100px auto 50px;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    grid-gap: 30px;
}

.img-gallery img {
    width: 100%;
    cursor: pointer;
    transition: 0.3s;
}

.img-gallery img:hover {
    transform: scale(1.1) rotate(-1deg);
    border-radius: 20px;
    box-shadow: 0 12px 7px rgba(12, 13, 21, 0.2);
}

.full-img {
    width: 100%;
    height: 100vh;
    background: rgba(0,0,0,0.9);
    position: fixed;
    top: 0;
    left: 0;
    display: none;
    align-items: center;
    justify-content: center;
    z-index: 100;
}

.full-img img {
    width: auto; 
    max-width: 90%; 
    max-height: 90vh; 
    object-fit: contain; 
}


.full-img span {
    position:absolute;
    top: 5%;
    right: 5%;
    font-size: 30px;
    color: #fff;
    cursor: pointer;
}


@media(max-width:1724px) {
    .service-info p{
        font-size: 1.3rem;
    }
}

@media(max-width:1304px) {
    .service-info p{
        font-size: 1.2rem;
    }
}

@media(max-width:1200px) {
    html{
        font-size: 55%;
    }
    .services-container {
        padding-bottom: 7rem;
        grid-template-columns: repeat(1, 1fr);
        margin: 0 5rem;
    }

    .service-info p{
        font-size: 1.6rem;
    }
}

@media(max-width:550px) {
    .service-info p{
        font-size: 1.2rem;
    }
    .home {
        margin-left: 10px;
        margin-right: 10px;
    }

    .heading{
        font-size: 3rem;
    }
}

@media(max-width:560px) {
    .projects-box{
        
    }
}


@media(max-width:991px) {
    .header {
        padding: 2rem 3%;
    }
    section {
        padding: 10rem 3% 2rem;
    }
    .services {
        padding-bottom: 7rem;
    }
    .footer {
        padding: 2rem 3%;
    }
}

@media (max-width:895px) {
    .services h2 {
        margin-bottom: 3rem;
    }
    .services-container {
        grid-template-columns: repeat(1,1fr);
    }
}

@media (max-width:465px){
    .gradient-bg {
        width: 100%;
        height: 100%;
    }
}

@media (max-width:585px){
    .footer ul li {
        padding: 0;
    }
}

@media (max-width: 550px) {
    .heading {
        font-size: 3rem;
    }
}


@media (max-width:1020px) {
    .navbar-btn{
        display: block;
    }

    nav ul {
        display: flex;
        flex-direction: column;
        text-align: right;
        position: fixed;
        background: rgba(6, 18, 90, 0.7);
        filter: drop-shadow(10px);
        border-radius: 0 0 0 15px;
        width: 200px;
        top: 89px;
        right: -100%;
        padding: 3rem 0;
        transition: all 0.5s ease-in;
        font-family: 'Poppins', sans-serif;
    }

    nav ul.display {
        right: 0;
        transition: all 0.9s ease-in-out;
    }

    ul li a {
        display: block;
        margin: 10px;
    }

    .close-btn {
        position: absolute;
        top: -1rem;
        right: -1rem;
        margin: 25px;
    }
}


.back a i{
    padding:30px;
    padding-left:50px;
    transition: 0.3s ease;
}

.back a i:hover {
    transform: scale(1.1);
}


